Unity interface not resized properly when external monitor is used

Bug #691772 reported by elPraga on 2010-12-18
34
This bug affects 5 people
Affects Status Importance Assigned to Milestone
Nux
Fix Released
High
Unassigned
Unity
Fix Released
High
Neil J. Patel
nux (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: compiz

When I connect an external monitor, it is detected well, but the Unity interface does not resize. Possibly related to Nautilus es well, because when I tried to use fluxbox es a WM, I got a part of a screen with Nautilus managing the screen and the rest was under control of fluxbox.

I add a screenshot to explain better...

(I tried to use apoort-bug compiz, but after 20 minutes I did not get past the the page Wait, this page will be reloaded...)

elPraga (elpraga) wrote :
affects: compiz (Ubuntu) → unity (Ubuntu)
elPraga (elpraga) wrote :

Hello, something new on this bug?
I made some new screenshots to help to resolve this. In the current state it makes the external monitor very unconfortable and sometimes unpossible to use.

The last screenshot was taken after killing compiz and starting it again from a terminal.

elPraga (elpraga) wrote :
elPraga (elpraga) wrote :
elPraga (elpraga) wrote :
elPraga (elpraga) wrote :

The last screenshot shows a flash movie en fullscreenmode, Totem and MPlayer works as expected

Gord Allott (gordallott) on 2011-02-03
Changed in unity:
importance: Undecided → High
status: New → Triaged
Changed in nux:
status: New → Triaged
importance: Undecided → High
Alex Launi (alexlauni) on 2011-02-16
Changed in unity (Ubuntu):
status: New → Confirmed
Didier Roche (didrocks) on 2011-02-21
Changed in unity (Ubuntu):
status: Confirmed → Triaged
Didier Roche (didrocks) on 2011-02-21
Changed in nux (Ubuntu):
status: New → Triaged
Mirco Müller (macslow) wrote :

With unity r893 multi-monitor fixes have been applied. elPraga, could you try unity trunk to verify this also fixes your issue?

Hello Mirco,
well, I can try it, but I would need some help. If I understand You well,
You want me to grab the revision from bazaar, compile it, and try it out.

Could You tell me what exactly do I have to compile and which branches do I
need to grab new from LP?

Is it enough to grab the unity branch and compile unity, or do I have to
compile newer versions of something else as well? I did have a look at the
INSTAll file in unity branch, but I do not understand if I need to grab all
this form lp or if I can use something defaultly installed.

Thanks for hints..

Praga

2011/2/25 Mirco Müller <email address hidden>

> With unity r893 multi-monitor fixes have been applied. elPraga, could
> you try unity trunk to verify this also fixes your issue?
>
> --
> You received this bug notification because you are a direct subscriber
> of the bug.
> https://bugs.launchpad.net/bugs/691772
>
> Title:
> Unity interface not resized properly when external monitor is used
>
> Status in Nux:
> Triaged
> Status in Unity:
> Triaged
> Status in “nux” package in Ubuntu:
> Triaged
> Status in “unity” package in Ubuntu:
> Triaged
>
> Bug description:
> Binary package hint: compiz
>
> When I connect an external monitor, it is detected well, but the Unity
> interface does not resize. Possibly related to Nautilus es well,
> because when I tried to use fluxbox es a WM, I got a part of a screen
> with Nautilus managing the screen and the rest was under control of
> fluxbox.
>
> I add a screenshot to explain better...
>
> (I tried to use apoort-bug compiz, but after 20 minutes I did not get
> past the the page Wait, this page will be reloaded...)
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/nux/+bug/691772/+subscribe
>

elPraga (elpraga) wrote :

Hello Mirco,
well, I had more time and I did compile it. I used the revision r 894 of
unity from lp, but it still does not work as it should. It stays the same.

I followed the INSTALL file and build unity into /opt/unity. I added the
lines to .bashrc. I started compiz-unity-setup-env, I restarted compiz (by
the way, should not it be compiz --replace ccp & rather then compiz
--replace cpp & as written in the INSTALL file? ), but when I attached the
external monitor, the unity interface did not addopt to external monitor
size.

How can I be sure I am running the compiled version of unity? This seems
that I am rather still running the distribution version of unity:

tomas@Ubuntu-Natty:~$ ps aux |grep unity
tomas 21579 0.1 1.0 31000 10464 ? Sl 02:29 0:01
/usr/bin/unity-window-decorator
tomas 21582 0.8 1.5 96516 15296 ? Sl 02:29 0:06
/usr/lib/unity/unity-panel-service
tomas 22532 0.0 0.0 5192 748 pts/0 S+ 02:41 0:00 grep
--color=auto unity
tomas@Ubuntu-Natty:~$

Any hints?

Regards

Tomas
2011/2/25 Tomáš Kaluža <email address hidden>

> Hello Mirco,
> well, I can try it, but I would need some help. If I understand You well,
> You want me to grab the revision from bazaar, compile it, and try it out.
>
> Could You tell me what exactly do I have to compile and which branches do I
> need to grab new from LP?
>
> Is it enough to grab the unity branch and compile unity, or do I have to
> compile newer versions of something else as well? I did have a look at the
> INSTAll file in unity branch, but I do not understand if I need to grab all
> this form lp or if I can use something defaultly installed.
>
> Thanks for hints..
>
> Praga
>
> 2011/2/25 Mirco Müller <email address hidden>
>
> With unity r893 multi-monitor fixes have been applied. elPraga, could
>> you try unity trunk to verify this also fixes your issue?
>>
>> --
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>> https://bugs.launchpad.net/bugs/691772
>>
>> Title:
>> Unity interface not resized properly when external monitor is used
>>
>> Status in Nux:
>> Triaged
>> Status in Unity:
>> Triaged
>> Status in “nux” package in Ubuntu:
>> Triaged
>> Status in “unity” package in Ubuntu:
>> Triaged
>>
>> Bug description:
>> Binary package hint: compiz
>>
>> When I connect an external monitor, it is detected well, but the Unity
>> interface does not resize. Possibly related to Nautilus es well,
>> because when I tried to use fluxbox es a WM, I got a part of a screen
>> with Nautilus managing the screen and the rest was under control of
>> fluxbox.
>>
>> I add a screenshot to explain better...
>>
>> (I tried to use apoort-bug compiz, but after 20 minutes I did not get
>> past the the page Wait, this page will be reloaded...)
>>
>> To unsubscribe from this bug, go to:
>> https://bugs.launchpad.net/nux/+bug/691772/+subscribe
>>
>
>

Neil J. Patel (njpatel) on 2011-03-07
Changed in unity:
assignee: nobody → Neil J. Patel (njpatel)
milestone: none → 3.6.4
Neil J. Patel (njpatel) on 2011-03-10
Changed in nux:
status: Triaged → Fix Committed
Changed in nux (Ubuntu):
status: Triaged → Fix Committed
Changed in unity (Ubuntu):
status: Triaged → Fix Committed
Changed in unity:
status: Triaged → Fix Committed
Didier Roche (didrocks) on 2011-03-10
Changed in nux:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nux - 0.9.32-0ubuntu1

---------------
nux (0.9.32-0ubuntu1) natty; urgency=low

  * New upstream release.
    - compiz crashed with SIGSEGV in std::basic_string<char,
      std::char_traits<char>, std::allocator<char> >::assign() (LP: #729412)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #724903)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723531)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #723158)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #727895)
  * debian/rules:
    - bump shlib
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:51:23 +0100

Changed in nux (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity - 3.6.4-0ubuntu1

---------------
unity (3.6.4-0ubuntu1) natty; urgency=low

  * New upstream release.
    - Unity: Alt-F2 not working (LP: #580295)
    - When running with dual monitors, Unity will use the height of the larger
      one for calculating when to fold (LP: #696388)
    - Unity app launcher is filled up with doublettes (LP: #690537)
    - Unity interface not resized properly when external monitor is used
      (LP: #691772)
    - Dash needs keyboard navigation (LP: #727714)
    - It is possible to focus Unity itself and Close it from the global menu
      (LP: #728790)
    - Systray icons showing on top of everything (LP: #728719)
    - Pressing ENTER in the dash during a search should open the first
      displayed item (LP: #729699)
    - compiz crashed with SIGSEGV in LauncherIcon::OpenQuicklist()
      (LP: #731096)
    - inactive menus are not shown (LP: #732162)
    - Icon-only menu titles don't have accessible names (LP: #691677)
    - unity not working on rotated displays (LP: #694596)
    - unity_support_test crashed with SIGSEGV in
      nux::IOpenGLAsmVertexShader::IOpenGLAsmVertexShader() (LP: #709649)
    - Dragging .desktop file to launcher's trash creates space for new
      launcher icon (LP: #717250)
    - Unable to scroll in Applications/Files and Folders Place using mouse
      wheel (LP: #721447)
    - The applications place is empty (LP: #724259)
    - compiz crashed with SIGSEGV in
      nux::GpuRenderStates::SubmitChangeStates() (LP: #719156)
    - Quicklists are difficult to dismiss (LP: #726890)
    - Apps in Available group not rendered in Dash (LP: #729710)
    - Clicking on Shortcuts header doesn't do anything. (LP: #730774)
    - Zeitgeist FTS Extension doesn't filter on subject URIs (LP: #731208)
    - dual monitor,,,upper panel turns white / nvidia (LP: #685179)
    - Dash file Lens – Rename “Favourite Folders” category header to “Folders”
      (LP: #723866)
    - looking for 'places' icons in the wrong location (LP: #727672)
    - Empty trash quicklist item is missing an ellipsis (LP: #731472)
    - Wastebasket quicklist is missing “Empty Wastebasket” option when the
      wastebasket is empty (LP: #723880)
    - Emptying the trash from the unity sidebar should respect nautilus' "Ask
      before emptying" setting (LP: #730003)
    - start-here icon updated at wrong time (LP: #726267)
    - Unity overlay unhide issue (LP: #726926)
    - Orca doesn't report that the Launcher receives the focus (LP: #727133)
    - Accessibility object parent-child hierarchy on unity is broken
      (LP: #727908)
    - Regression: Orca doesn't speech out the selection changes on the
      Launcher (LP: #729165)
    - quicklist must respect enabled state (LP: #731533)
    - unity-panel-service crashed with SIGSEGV in
      dbusmenu_menuitem_send_about_to_show() (LP: #725631)
  * debian/control:
    - build-dep on latest nux
 -- Didier Roche <email address hidden> Thu, 10 Mar 2011 19:52:53 +0100

Changed in unity (Ubuntu):
status: Fix Committed → Fix Released
elPraga (elpraga) wrote :

After the update to unity-3.6.4-0ubuntu1, the interface resizes fine, and acts as expected, but there is one issue conected still. I am not sure if it can be fixed or not.

When watching a flash video (YouTube, Megavideo) and connecting an external monitor, the video cannot be played in fullscreen. It changes the interface of a flash player to fullscreen, but the video remains the max size of the small screen (at least seems like it). Reloading the page and then switching to fullscreen helps, and the video is played as expected.

This seems to be related to Flash fullcreen, I tried the same with totem, and the fullscreen video resizes fine.

Tried on GoogleChrome 10.0.648.127 with Flash 10,2,154,18.

@elPraga: I think this is a problem in Flash plugin. You should report a new bug against it.

Matteo Pagliazzi (paglia) wrote :

Some users still found this problem and i'm reporting the bug for them becouse they don't have a launchpad account.

The problem appears plugging in a ìn external monitor and only if them are using Unity, with Gnome2 it doesn't happen: the resolution doesn't match the new screen but remain the same as with the normal screen.

I uploaded a screenshot.

vinicio (vincup) wrote :

VGA monitor connected to the notebook performs vertical stripes, flickering and unstable, blocking and restart the notebook. 10.10 Ubuntu worked perfectly.
Thank you.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers